com.trendmicro.ds.platform.rest.object.smartfolder

## Class ValidateSmartFolderRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ValidateSmartFolderRequest

-     public class ValidateSmartFolderRequest
      extends java.lang.Object

  Request object for the CreateSmartFolder API method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidateSmartFolderRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAwsTagFoldersNameKey()` Gets the Key of the AWS tag used to create an auto generated.
    `Model.Comparison` | `getComparison()` Gets the comparator used to combine the Query Groups.
    `java.lang.String` | `getName()` Get the smart folder name.
    `Model.Operator` | `getOperator()` Gets the operator of the Query.
    `java.lang.Long` | `getParent()` Gets the Id of the parent smart folder.
    `java.util.List<QueryGroup>` | `getQueryGroups()` Gets the list of Query Groups that make up the Smart Folder.
    `java.lang.Long` | `getSmartFolderId()` Gets the id of the smartFolder being validated.
    `Model.ValidationType` | `getValidationType()` Gets the type of smart folder request being validated.
    `void` | `setAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)` Sets the Key of the AWS tag used to create an auto generated.
    `void` | `setComparison(Model.Comparison comparison)` Sets the comparator used to combine the Query Groups.
    `void` | `setName(java.lang.String name)` Set the smart folder name.
    `void` | `setOperator(Model.Operator operator)` Sets the operator of the Query.
    `void` | `setParent(java.lang.Long parent)` Sets the Id of the parent smart folder.
    `void` | `setQueryGroups(java.util.List<QueryGroup> queryGroups)` Sets the list of Query Groups that make up the Smart Folder.
    `void` | `setSmartFolderId(java.lang.Long smartFolderId)` Sets The id of the smartFolder being validated.
    `void` | `setValidationType(Model.ValidationType validationType)` Sets the type of smart folder request being validated.
    `java.lang.String` | `toString()`
    `ValidateSmartFolderRequest` | `withAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)` Sets the Key of the AWS tag used to create an auto generated.
    `ValidateSmartFolderRequest` | `withComparison(Model.Comparison comparison)` Sets the comparator used to combine the Query Groups.
    `ValidateSmartFolderRequest` | `withName(java.lang.String name)` Set the Smart Folder name.
    `ValidateSmartFolderRequest` | `withParent(java.lang.Long parent)` Sets the Id of the parent smart folder.
    `ValidateSmartFolderRequest` | `withQueryGroups(java.util.List<QueryGroup> queryGroups)` Sets the list of Query Groups that make up the Smart Folder.
    `ValidateSmartFolderRequest` | `withValidationType(Model.ValidationType validationType)` Sets the type of smart folder request being validated

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateSmartFolderRequest

          public ValidateSmartFolderRequest()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the smart folder name.
      Returns:
        the smart folder name.

    - #### setName

          public void setName(java.lang.String name)

      Set the smart folder name.
      Parameters:
        `name` - the smart folder name.

    - #### getComparison

          public Model.Comparison getComparison()

      Gets the comparator used to combine the Query Groups.
      Returns:
        The comparator used to combine the Query Groups.

    - #### setComparison

          public void setComparison(Model.Comparison comparison)

      Sets the comparator used to combine the Query Groups.
      Parameters:
        `comparison` - The comparator used to combine the Query Groups.

    - #### getQueryGroups

          public java.util.List<QueryGroup> getQueryGroups()

      Gets the list of Query Groups that make up the Smart Folder.
      Returns:
        The list of Query Groups that make up the Smart Folder.

    - #### setQueryGroups

          public void setQueryGroups(java.util.List<QueryGroup> queryGroups)

      Sets the list of Query Groups that make up the Smart Folder.
      Parameters:
        `queryGroup` - The list of Query Groups that make up the Smart Folder.

    - #### getAwsTagFoldersNameKey

          public java.lang.String getAwsTagFoldersNameKey()

      Gets the Key of the AWS tag used to create an auto generated.
      Returns:
        The Key of the AWS tag used to create an auto generated.

    - #### setAwsTagFoldersNameKey

          public void setAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)

      Sets the Key of the AWS tag used to create an auto generated.
      Parameters:
        `awsTagFoldersNameKey` - The Key of the AWS tag used to create an auto generated.

    - #### getParent

          public java.lang.Long getParent()

      Gets the Id of the parent smart folder.
      Returns:
        The Id of the parent smart folder.

    - #### setParent

          public void setParent(java.lang.Long parent)

      Sets the Id of the parent smart folder.
      Parameters:
        `parent` - The Id of the parent smart folder.

    - #### withName

          public ValidateSmartFolderRequest withName(java.lang.String name)

      Set the Smart Folder name.
      Parameters:
        `name` - The Smart Folder name.
      Returns:
        The updated ValidateSmartFolderRequest object.

    - #### withQueryGroups

          public ValidateSmartFolderRequest withQueryGroups(java.util.List<QueryGroup> queryGroups)

      Sets the list of Query Groups that make up the Smart Folder.
      Parameters:
        `queryGroup` - The list of Query Groups that make up the Smart Folder.
      Returns:
        The updated ValidateSmartFolderRequest object.

    - #### withAwsTagFoldersNameKey

          public ValidateSmartFolderRequest withAwsTagFoldersNameKey(java.lang.String awsTagFoldersNameKey)

      Sets the Key of the AWS tag used to create an auto generated.
      Parameters:
        `awsTagFoldersNameKey` - The Key of the AWS tag used to create an auto generated.
      Returns:

    - #### withComparison

          public ValidateSmartFolderRequest withComparison(Model.Comparison comparison)

      Sets the comparator used to combine the Query Groups.
      Parameters:
        `comparison` - The comparator used to combine the Query Groups.
      Returns:
        The updated ValidateSmartFolderRequest object.

    - #### withParent

          public ValidateSmartFolderRequest withParent(java.lang.Long parent)

      Sets the Id of the parent smart folder.
      Parameters:
        `comparison` - The Id of the parent smart folder.
      Returns:
        The updated ValidateSmartFolderRequest object.

    - #### getOperator

          public Model.Operator getOperator()

      Gets the operator of the Query.
      Returns:
        The operator of the Query.

    - #### setOperator

          public void setOperator(Model.Operator operator)

      Sets the operator of the Query.
      Parameters:
        `operator` - The operator of the Query.

    - #### getValidationType

          public Model.ValidationType getValidationType()

      Gets the type of smart folder request being validated.
      Returns:
        The type of smart folder request being validated.

    - #### setValidationType

          public void setValidationType(Model.ValidationType validationType)

      Sets the type of smart folder request being validated.
      Parameters:
        `validationType` - The type of smart folder request being validated.

    - #### withValidationType

          public ValidateSmartFolderRequest withValidationType(Model.ValidationType validationType)

      Sets the type of smart folder request being validated
      Parameters:
        `validationType` - The type of smart folder request being validated
      Returns:
        The updated ValidateSmartFolderRequest object

    - #### getSmartFolderId

          public java.lang.Long getSmartFolderId()

      Gets the id of the smartFolder being validated.
      Returns:
        The id of the smartFolder being validated.

    - #### setSmartFolderId

          public void setSmartFolderId(java.lang.Long smartFolderId)

      Sets The id of the smartFolder being validated.
      Parameters:
        `smartFolderId` - The id of the smartFolder being validated.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.